﻿using Microsoft.AspNetCore.Components;
using Radzen;

namespace ComponentPractice.Services
{
    public class ExportService
    {
        private readonly NavigationManager _navigationManager;

        public ExportService(NavigationManager navigationManager)
        {
            _navigationManager = navigationManager;
        }

        public void Export(string table, string type, Query query = null)
        {
            _navigationManager.NavigateTo(query != null ? query.ToUrl($"/export/InMemoryData/{table}/{type}") : $"/export/InMemoryData/{table}/{type}", true);
        }
    }
}
